<?php 
 	if(isset($_GET['idlk']))
 	{
 	$idlk = $_GET['idlk'];
 	}	
 	$result = $quantridata -> idlk($idlk);
 	$row = mysqli_fetch_array($result);
 	
?>
<?php 
	if(isset($_POST["sua"]))
	{
		// ------------Up ảnh------------
	if(isset($_FILES["urlhinh"]) && $_FILES["urlhinh"]["error"] == 0)
	{
		//Thư mục lưu file upload

		$target_dir    = "public/images/lienket/";
		// Mã hoa ten file
		define('F_NAME', preg_replace('/\.(.+?)$/i', '', basename($_FILES['urlhinh']['name'])));   
    	$tenfile = F_NAME.'-'.mt_rand();
    	$sepext = explode('.', strtolower($_FILES['urlhinh']['name'])); 
    	$type = end($sepext);    /** gets extension **/ 
    	$filename = $tenfile.'.'.$type;
		//Vị trí file lưu tạm trong server
		$target_file   = $target_dir . $filename;
		$allowUpload   = true;
		//Lấy phần mở rộng của file
		$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		$maxfilesize   = 100000; //(bytes)
		////Những loại file được phép upload
		$allowtypes    = array('jpg', 'png', 'jpeg', 'gif');
		 //Kiểm tra xem có phải là ảnh
		    $check = getimagesize($_FILES["urlhinh"]["tmp_name"]);
		    if($check !== false) {
		        echo "Đây là file ảnh - " . $check["mime"] . ".";
		        $allowUpload = true;
		    } else {
		        echo "Không phải file ảnh.";
		        $allowUpload = false;
		    }
		
		// Kiểm tra kích thước file upload cho vượt quá giới hạn cho phép
		if ($_FILES["urlhinh"]["size"] > $maxfilesize)
		{
		    echo "Không được upload ảnh lớn hơn $maxfilesize (bytes).";
		    $allowUpload = false;
		}

		// Kiểm tra kiểu file
		if (!in_array($imageFileType,$allowtypes ))
		{
		    echo "Chỉ được upload các định dạng JPG, PNG, JPEG, GIF";
		    $allowUpload = false;
		}

		// Check if $uploadOk is set to 0 by an error
		if ($allowUpload) {
		    if (move_uploaded_file($_FILES["urlhinh"]["tmp_name"], $target_file))
		    {
		        echo "File ". basename( $_FILES["urlhinh"]["name"]).
		        " Đã upload thành công";
		    }
		    else
		    {
		        echo "Có lỗi xảy ra khi upload file.";
		    }
		}
		else
		{
		    echo "Không upload được file!";
		}
	}	else $filename = $row['urlHinh'];
		// -----------Kết thúc up ảnh----------
		$urlhinh = $filename;
		$vitri = $_POST['vitri'];
		$tieude = $_POST['tieude'];
		$lienket = $_POST['lienket'];
		$quantridata -> editlienket($idlk,$vitri,$tieude,$urlhinh,$lienket);
		header("location:quantritueba.php?page=lienket");
	}
	
 ?>
<div class="border-left  pl-2">
<h4 class="text-center text-light bg-info">SỬA,CẬP NHẬP LIÊN KẾT</h4> 
<form action="" method="POST" class="mt-2" enctype="multipart/form-data">
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Tiêu đề</strong></label>
		<input type="text" class="form-control col-md-8" name="tieude" value = "<?php echo $row['Tieude'] ?>">	
	</div>
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Liên kết</strong></label>
		<input type="text" class="form-control col-md-8" name="lienket" value = "<?php echo $row['Url'] ?>">	
	</div>
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Vị trí</strong></label>
		<input type="text" class="form-control col-md-2" name="vitri" value = "<?php echo $row['vitri'] ?>">	
	</div>
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Ảnh hiện tại</strong></label>
		<img src="public/images/lienket/<?php echo $row['urlHinh']  ?>" width="20%" alt="">
	</div>
	<div class="form-group row">
		<label for="" class = "col-md-2"><strong>Thay hình khác</strong></label>
		<input type="file" value="upanh" name="urlhinh">
		<span style="color:red;margin-left:0.5rem;">(Kích thước chiều cao ảnh:75px;dung lượng <1M)</span>
	</div>
	<button type="submit" class="btn btn-primary" name="sua">Cập nhập thay đổi</button>	
</form>

</div>